Bug 248310 - torcs (game) collors appears more yellow in f7
torcs (game) collors appears more yellow in f7
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-15 16:13 EDT by Sergio Morais Lietti
Modified: 2008-01-10 10:09 EST (History)
1 user (show)

See Also:
Fixed In Version: f8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-10 10:09:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
torcs image with bad collors. (514.36 KB, image/png)
2007-07-15 16:13 EDT, Sergio Morais Lietti
no flags Details
xorg.conf file (2.69 KB, text/plain)
2007-11-30 15:58 EST, Sergio Morais Lietti
no flags Details
Xorg.0.log file (59.60 KB, text/plain)
2007-11-30 16:00 EST, Sergio Morais Lietti
no flags Details
Xorg.setup.log file (1.04 KB, text/plain)
2007-11-30 16:01 EST, Sergio Morais Lietti
no flags Details
Xorg.0.log file when running without xorg.conf file (64.94 KB, text/plain)
2007-11-30 16:03 EST, Sergio Morais Lietti
no flags Details

  None (edit)
Description Sergio Morais Lietti 2007-07-15 16:13:14 EDT
Description of problem:
After upgrading from fc6 to f7, torcs' graphics have bad collors. Collors were
fine in fc6   

Version-Release number of selected component (if applicable):
torcs-data-1.3.0-1
torcs-data-tracks-dirt-1.3.0-1
torcs-data-cars-extra-1.3.0-1
torcs-data-cars-nascar-1.3.0-1
torcs-data-tracks-road-1.3.0-1
torcs-1.3.0-1.fc7
torcs-data-tracks-oval-1.3.0-1
torcs-robots-1.3.0-1.fc7

xorg-x11-drv-i810-2.0.0-4.fc7
(problem with both drivers i810 and intel)

How reproducible:
always

Steps to Reproduce:
1. play the game torcs
2.
3.
  
Actual results:
Bad collors in f7

Expected results:
Collors ok as in fc6

Additional info:
see attached figure
Comment 1 Sergio Morais Lietti 2007-07-15 16:13:15 EDT
Created attachment 159282 [details]
torcs image with bad collors.
Comment 2 Matthias Saou 2007-08-20 14:29:49 EDT
This is almost certainly not directly related to torcs. Could you maybe try
downgrading to the FC6 packages on your F7 installation just to check? If the
problem is the same, then it's almost certainly a driver problem. If the problem
goes away, then it'll be something specific to the F7 rebuild.
Comment 3 Sergio Morais Lietti 2007-08-20 21:13:57 EDT
I installed the FC6 packages and the problem did not go away. How do I redirect
this issue to the driver experts?
Thanks,
Sergio
Comment 4 Matěj Cepl 2007-11-30 09:30:01 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Matěj Cepl 2007-11-30 09:30:34 EST
And BTW, what were the supposed colors of torcs?
Comment 6 Sergio Morais Lietti 2007-11-30 15:58:24 EST
Created attachment 274321 [details]
xorg.conf file
Comment 7 Sergio Morais Lietti 2007-11-30 16:00:14 EST
Created attachment 274331 [details]
Xorg.0.log file
Comment 8 Sergio Morais Lietti 2007-11-30 16:01:15 EST
Created attachment 274341 [details]
Xorg.setup.log file
Comment 9 Sergio Morais Lietti 2007-11-30 16:03:17 EST
Created attachment 274351 [details]
Xorg.0.log file when running without xorg.conf file
Comment 10 Sergio Morais Lietti 2007-11-30 16:08:42 EST
> And BTW, what were the supposed colors of torcs?
I meant that image resolution is poor and the colors are not as natural as in
FC6. Now, in F7, colors appear more yellow, as in attachment of comment #1.
Comment 11 Sergio Morais Lietti 2007-12-28 14:40:46 EST
I have upgraded my box to F8 and torcs is okay now.

Note You need to log in before you can comment on or make changes to this bug.